Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 602834 - gtk3-engines - theme engines for GTK+ 3
gtk3-engines - theme engines for GTK+ 3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-10 16:38 EDT by Matthias Clasen
Modified: 2010-06-21 10:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-21 10:34:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bnocera: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2010-06-10 16:38:03 EDT
srpm: http://mclasen.fedorapeople.org/gtk3-engines-2.90.1-1.fc14.src.rpm
spec: http://mclasen.fedorapeople.org/gtk3-engines.spec

The upstream tarball is just gtk-engines, I've renamed it to gtk3-engines for parallel installability, and to follow the established pattern

gtk2 gtk2-engines
gtk3 gtk3-engines
Comment 1 Bastien Nocera 2010-06-10 17:07:34 EDT
$ rpmlint gtk3-engines-2.90.1-1.fc14.src.rpm
gtk3-engines.src: W: spelling-error %description -l en_US gtk -> gt, gt k, GTE
gtk3-engines.src: W: spelling-error %description -l en_US toolkits -> toolkit, tool kits, tool-kits
gtk3-engines.src: W: no-cleaning-of-buildroot %install
gtk3-engines.src: W: no-cleaning-of-buildroot %clean
gtk3-engines.src: W: no-buildroot-tag
gtk3-engines.src: W: no-%clean-section
1 packages and 0 specfiles checked; 0 errors, 6 warnings.

All bogus, or out-dated.

$ rpmlint /home/hadess/Projects/packages/RPMS/x86_64/gtk3-engines-2.90.1-1.fc13.x86_64.rpm 
gtk3-engines.x86_64: W: spelling-error %description -l en_US gtk -> gt, gt k, GTE
gtk3-engines.x86_64: W: spelling-error %description -l en_US toolkits -> toolkit, tool kits, tool-kits
gtk3-engines.x86_64: W: incoherent-version-in-changelog 2.90.0-1 ['2.90.1-1.fc13', '2.90.1-1']

Changelog needs fixing.

$ rpmlint /home/hadess/Projects/packages/RPMS/x86_64/gtk3-engines-devel-2.90.1-1.fc13.x86_64.rpm
gtk3-engines-devel.x86_64: W: spelling-error Summary(en_US) gtk -> gt, gt k, GTE
gtk3-engines-devel.x86_64: W: spelling-error %description -l en_US gtk -> gt, gt k, GTE
gtk3-engines-devel.x86_64: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

All fine.
Comment 2 Matthias Clasen 2010-06-10 17:34:44 EDT
> Changelog needs fixing.

I actually prefer to keep disttags out of the changelog.
Unless you feel strongly about this.

srpm: http://mclasen.fedorapeople.org/gtk3-engines-2.90.1-2.fc14.src.rpm
spec: http://mclasen.fedorapeople.org/gtk3-engines.spec

updated to use smp_mflags
Comment 3 Bastien Nocera 2010-06-10 17:47:21 EDT
(In reply to comment #2)
> > Changelog needs fixing.
> 
> I actually prefer to keep disttags out of the changelog.
> Unless you feel strongly about this.

I feel strongly about the changelog entry being the same version as the one up top (2.90.1 at the top, 2.90.0 in the changelog).
Comment 4 Bastien Nocera 2010-06-10 17:54:27 EDT
package name: ok
spec file name: ok
packaging guidelines: ok
license: ok
license file: ok
license field: ok
spec language : ok
spec legibility: ok
upstream sources : ok
buildable: ok
excludearch: ok
buildrequires: ok
locale handling: ok
shared libs: ok
system libs: ok
relocatable: no
directory ownership: ok
duplicate files: ok
file permissions: ok
macro use: ok
permissible content: ok
large docs: ok
%doc content: ok
headers: ok
static libs: ok
shared libs: ok
base package: ok
pkg-config files: ok
libtool archives: ok
directory ownership: ok
utf8 filenames: ok

Looks good to me, with the changelog problems mentioned above.
Comment 5 Matthias Clasen 2010-06-10 17:57:05 EDT
I'll fix up the changelog problem before I import this.
Comment 6 Matthias Clasen 2010-06-10 17:58:17 EDT
New Package CVS Request
=======================
Package Name: gtk3-engines
Short Description: Theme engines for GTK+ 3
Owners: mclasen
Branches:
Comment 7 Kevin Fenzi 2010-06-11 00:57:13 EDT
CVS done (by process-cvs-requests.py).
Comment 8 Bastien Nocera 2010-06-21 10:34:03 EDT
gtk3-engines-2.90.1-3.fc14 and subsequent versions were built.

Note You need to log in before you can comment on or make changes to this bug.